CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Community Contributions

[swak4Foam] foam-extend-3.2 installing problem: swak4Foam failed to install due to Bison

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   March 14, 2016, 08:19
Thumbs down foam-extend-3.2 installing problem: swak4Foam failed to install due to Bison
  #1
New Member
 
Lee
Join Date: Mar 2016
Posts: 22
Rep Power: 10
lxwd is on a distinguished road
Dear OpenFOAM users,

I am now trying to install foam-extend-3.2 on Ubuntu. I follow the installation tutorial found at OpenFOAM wiki, but got an error as follow.

Code:
Swak version is 0.3.1 Bison is version 3.0.2 swak4Foam only confirmed to work with Bison 2.x Consider running ./maintainanceScripts/compileRequirements.sh for a local bison-installation Set the environment variable DEVELOP_FOR_NEW_BISON if you want to continue anyway. Requirements for library not satisified. I see no sense in going on Check README .... your problem occured to 5 other people before and has been solved on ..
I use the following code, also found on OpenFOAM wiki, successfully install swak4Foam.

Code:
./maintainanceScripts/compileRequirements.sh
But I am not sure what I should do next step. Since I start compiling foam-extend by tying ./ALLwmake.firstInstall and it gives me
the above error at Stage5, how can I continue the compiling process?

Thanks in advance.


Xuan
lxwd is offline   Reply With Quote

Old   March 20, 2016, 16:03
Default
  #2
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,975
Blog Entries: 45
Rep Power: 128
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Greetings Xuan and welcome to the forum!

I didn't fully understand if you had managed to build/install swak4Foam or not. If you did manage to install it, then everything is now probably built as intended in foam-extend 3.2.

If you didn't build/install swak4Foam, then please try the following commands:
Code:
cd $WM_THIRD_PARTY_DIR/rpmBuild/BUILD/swak4Foam-0.3.2
./Allwclean
./Allwmake > log.make 2>&1
When it's done, you can then check the contents of the file "log.make".

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM] ParaView/Parafoam error when making animation Disco_Caine ParaView 6 September 28, 2010 09:54
[blockMesh] BlockMesh FOAM warning gaottino OpenFOAM Meshing & Mesh Conversion 7 July 19, 2010 14:11
Problem with rhoSimpleFoam matteo_gautero OpenFOAM Running, Solving & CFD 0 February 28, 2008 06:51
[blockMesh] Axisymmetrical mesh Rasmus Gjesing (Gjesing) OpenFOAM Meshing & Mesh Conversion 10 April 2, 2007 14:00
user defined function cfduser CFX 0 April 29, 2006 10:58


All times are GMT -4. The time now is 12:24.